# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::UniformInfo Struct Reference

Structure containing all the info regarding an active Uniform, see also GLSLProgram::activeUniforms() More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::UniformInfo:

List of all members.

## Public Member Functions

| UniformInfo (const char *name, EUniformType type, int size, int location)

## Public Attributes

std::string | Name
| The name of the uniform.
EUniformType | Type
| The type of the uniform (float, vec4, mat2x3, sampler2D etc.)
int | Size
| The size of the uniform: 1 for non-arrays, >= 1 for arrays.
int | Location
| Location of the uniform as retuned by glGetUniformLocation().

## Detailed Description

Structure containing all the info regarding an active Uniform, see also GLSLProgram::activeUniforms()

Definition at line 48 of file GLSL.hpp.

## Constructor & Destructor Documentation

vl::UniformInfo::UniformInfo | ( | const char * | name,
|  | EUniformType | type,
|  | int | size,
|  | int | location
| ) |  | `[inline]`

Definition at line 50 of file GLSL.hpp.

## Member Data Documentation

std::string vl::UniformInfo::Name

The name of the uniform.

Definition at line 53 of file GLSL.hpp.

EUniformType vl::UniformInfo::Type

The type of the uniform (float, vec4, mat2x3, sampler2D etc.)

Definition at line 54 of file GLSL.hpp.

int vl::UniformInfo::Size

The size of the uniform: 1 for non-arrays, >= 1 for arrays.

Definition at line 55 of file GLSL.hpp.

int vl::UniformInfo::Location

Location of the uniform as retuned by glGetUniformLocation().

Definition at line 56 of file GLSL.hpp.

Referenced by vl::GLSLProgram::applyUniformSet().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/GLSL.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:38.
Permission is granted to use this page to write and publish articles regarding Visualization Library.